package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.BusDevice;
import org.apache.ibatis.annotations.Param;

/**
 * 设备Mapper接口
 * 
 * @author ruoyi
 * @date 2022-05-31
 */
public interface BusDeviceMapper 
{
    /**
     * 查询设备
     * 
     * @param id 设备主键
     * @return 设备
     */
    public BusDevice selectBusDeviceById(Long id);

    /**
     * 查询设备列表
     * 
     * @param busDevice 设备
     * @return 设备集合
     */
    public List<BusDevice> selectBusDeviceList(BusDevice busDevice);

    /**
     * 新增设备
     * 
     * @param busDevice 设备
     * @return 结果
     */
    public int insertBusDevice(BusDevice busDevice);

    /**
     * 修改设备
     * 
     * @param busDevice 设备
     * @return 结果
     */
    public int updateBusDevice(BusDevice busDevice);

    /**
     * 删除设备
     * 
     * @param id 设备主键
     * @return 结果
     */
    public int deleteBusDeviceById(Long id);

    /**
     * 批量删除设备
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusDeviceByIds(Long[] ids);

    /**
     * 修改设备状态
     *
     * @param ids 需要修改的数据主键集合
     * @param status  需要修改的状态
     * @return 结果
     */
    public int updateStatusByIds(@Param("ids") Long[] ids , @Param("status") Integer status);
}
